| Bsoft 2.0.5 Bernard's software package

Functions
ps_micrograph.h File Reference

Header file for postscript tools dealing with micrograph particle sets. More...

`#include <fstream>`
`#include "mg_processing.h"`

Go to the source code of this file.

## Functions
int | ps_mg_particle_positions (Bstring &filename, Bstring &title, Bproject *project)
| Postscript plot of the positions of particles on micrographs. More...
int | ps_particle_views_origins (Bstring &filename, Bstring &title, Bstring &symmetry_string, Bproject *project, int selection)
| Generates asymmetric unit particle view and origin postscript plots. More...
int | ps_origins (Bstring &filename, Bstring &title, Bproject *project, int flags)
| Generates postscript plot of origins on a square with the size of the box. More...
int | ps_origins (ofstream *fps, Bstring &title, Bproject *project, int flags)
int | ps_part_fom_histogram (Bstring &filename, Bproject *project)
| Postscript plot of the particle FOM histogram. More...
int | ps_defocus_histogram (Bstring &filename, Bproject *project)
| Postscript histogram plot of micrograph defocus parameters. More...
int | ps_astigmatism_plot (Bstring &filename, Bproject *project)
| Postscript plot of micrograph astigmatism parameters. More...
int | ps_marker_errors (Bstring &filename, Bstring &title, Bproject *project)
| Postscript plot of the errors associated with fiducial markers. More...
int | ps_dual_zcompare (Bstring &filename, Bproject *project)
| Generates a PostScript file that displays X by X, Y by Y, and Z by Z plots for diagnostic purposes. More...
int | ps_class_average_fom (ofstream *fps, Bproject *project)
| Postscript histogram plot of class average FOM's. More...

## Detailed Description

Header file for postscript tools dealing with micrograph particle sets.

Author
  Bernard Heymann

Date
  Created: 20011127
  Modified: 20191018

Definition in file ps_micrograph.h.

## Function Documentation

## ◆ ps_astigmatism_plot()

int ps_astigmatism_plot | ( | Bstring & | filename,
|  | Bproject * | project
| ) |  |

Postscript plot of micrograph astigmatism parameters.

Parameters

  &filename | output postscript file name.
  *project | project parameter structure.

Returns
  int 0, error if <0.

Definition at line 655 of file ps_micrograph.cpp.

## ◆ ps_class_average_fom()

int ps_class_average_fom | ( | ofstream * | fps,
|  | Bproject * | project
| ) |  |

Postscript histogram plot of class average FOM's.

Parameters

  *fps | output stream.
  *project | project parameter structure.

Returns
  int 0, error if <0.

Definition at line 1050 of file ps_micrograph.cpp.

## ◆ ps_defocus_histogram()

int ps_defocus_histogram | ( | Bstring & | filename,
|  | Bproject * | project
| ) |  |

Postscript histogram plot of micrograph defocus parameters.

Parameters

  &filename | output postscript file name.
  *project | project parameter structure.

Returns
  int 0, error if <0.

Definition at line 558 of file ps_micrograph.cpp.

## ◆ ps_dual_zcompare()

int ps_dual_zcompare | ( | Bstring & | filename,
|  | Bproject * | project
| ) |  |

Generates a PostScript file that displays X by X, Y by Y, and Z by Z plots for diagnostic purposes.

Author
  Jessica Mavadia, Bernard Heymann

Date
  20080610 - 20100211

Parameters

  &filename | PostScript file name.
  *project | project with two tilt series reconstructions.

Returns
  int 0, <0 on error

Definition at line 965 of file ps_micrograph.cpp.

## ◆ ps_marker_errors()

int ps_marker_errors | ( | Bstring & | filename,
|  | Bstring & | title,
|  | Bproject * | project
| ) |  |

Postscript plot of the errors associated with fiducial markers.

Parameters

  &filename | output postscript file name.
  &title | title.
  *project | project parameter structure.

Returns
  int 0, error if <0.

Definition at line 716 of file ps_micrograph.cpp.

## ◆ ps_mg_particle_positions()

int ps_mg_particle_positions | ( | Bstring & | filename,
|  | Bstring & | title,
|  | Bproject * | project
| ) |  |

Postscript plot of the positions of particles on micrographs.

Parameters

  &filename | output postscript file name.
  &title | title.
  *project | project parameter structure.

Returns
  int 0, error if <0.

Definition at line 30 of file ps_micrograph.cpp.

## ◆ ps_origins() [1/2]

int ps_origins | ( | Bstring & | filename,
|  | Bstring & | title,
|  | Bproject * | project,
|  | int | flags
| ) |  |

Generates postscript plot of origins on a square with the size of the box.

Author
  Eduardo Sanz-Garcia and Bernard Heymann

Parameters

  &filename | output postscript file name.
  &title | title.
  *project | micrograph particle parameter structure.
  flags | flags.

Returns
  int 0, error if <0.

      The plotting options are determined by the flags argument:
          0 = plot origins
          1 = plot numbered origins
          2 = plot origins with shading according to occurrence.
              The gray level indicates the ratio to the maximum occurrence.

Definition at line 170 of file ps_micrograph.cpp.

## ◆ ps_origins() [2/2]

int ps_origins | ( | ofstream * | fps,
|  | Bstring & | title,
|  | Bproject * | project,
|  | int | flags
| ) |  |

Definition at line 187 of file ps_micrograph.cpp.

## ◆ ps_part_fom_histogram()

int ps_part_fom_histogram | ( | Bstring & | filename,
|  | Bproject * | project
| ) |  |

Postscript plot of the particle FOM histogram.

Parameters

  &filename | output postscript file name.
  *project | project parameter structure.

Returns
  int 0, error if <0.

Definition at line 382 of file ps_micrograph.cpp.

## ◆ ps_particle_views_origins()

int ps_particle_views_origins | ( | Bstring & | filename,
|  | Bstring & | title,
|  | Bstring & | symmetry_string,
|  | Bproject * | project,
|  | int | selection
| ) |  |

Generates asymmetric unit particle view and origin postscript plots.

Parameters

  &filename | output postscript file name.
  &title | title.
  &symmetry_string | symmetry string to print at the top of the page.
  *project | parameter structure.
  selection | selection number (-1 selects positives, 0 selects all).

Returns
  int number of view panels.

Definition at line 121 of file ps_micrograph.cpp.